Bug 1410459 (CVE-2016-10052) - CVE-2016-10052 ImageMagick: Out-of-bounds write in exif (jpeg) reader
Summary: CVE-2016-10052 ImageMagick: Out-of-bounds write in exif (jpeg) reader
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-10052
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1410515
Blocks: 1410453
TreeView+ depends on / blocked
 
Reported: 2017-01-05 14:43 UTC by Andrej Nemec
Modified: 2019-09-29 14:03 UTC (History)
13 users (show)

Fixed In Version: ImageMagick 6.9.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-22 04:28:06 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-05 14:43:03 UTC
An out-of-bounds write vulnerability was found in ImageMagick. A maliciously crafted file could cause the application to crash or possibly have other impact.

References:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=834501
http://seclists.org/oss-sec/2016/q4/758

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/9e187b73a8a1290bb0e1a1c878f8be1917aa8742

Comment 1 Andrej Nemec 2017-01-05 16:13:31 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1410515]


Note You need to log in before you can comment on or make changes to this bug.